from django.template import loader
from django.shortcuts import render
from django.http import HttpResponse
from .models import Author, Books
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView

# Create your views here.
def home(request):
    return render(request, 'bookshelf/home.html')

class BooksListView(ListView):
    model = Books
    template_name = 'bookshelf/books.html'

class BookDetailsView(DetailView):
    model = Books
    template_name = 'bookshelf/book_details.html'

class AuthorsListView(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'

class AuthorDetailsView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'