from django.urls import path
from . import views
from .views import *

urlpatterns = [
    path('home/', home, name = "home"),
    path('authors/', AuthorsListView.as_view(), name = "authors"),
    path('authors/<int:pk>/details', AuthorDetailsView.as_view(), name = "author-details"),
    path('books/', BooksListView.as_view(), name = "books"),
    path('books/<int:pk>/details', BookDetailsView.as_view(), name = "book-details")
]

app_name = 'bookshelf'